HexFiend: HFIndexSet Class Reference

HexFiend

Instance Methods | List of all members
HFIndexSet Class Reference

Hex Fiend's answer to NSIndexSet. It can contain any unsigned long long value.

Inheritance diagram for HFIndexSet:

## Instance Methods
(instancetype) | - init
(instancetype) | - initWithValue:
(instancetype) | - initWithValuesInRange:
(instancetype) | - initWithIndexSet:
(NSUInteger) | - numberOfRanges
(HFRange) | - rangeAtIndex:
(unsigned long long) | - countOfValuesInRange:
(unsigned long long) | - countOfValues
(void) | - verifyIntegrity
(HFRange) | - rangeContainingValue:
(BOOL) | - isEqualToNSIndexSet:

## Method Documentation

## § init()

- (instancetype) init |  |  |

Initializes the receiver as empty.

## § initWithValue:()

- (instancetype) initWithValue: |  | (unsigned long long) | value |

Initializes the receiver with a single index.

## § initWithValuesInRange:()

- (instancetype) initWithValuesInRange: |  | (HFRange) | range |

Initializes the receiver with the indexes in a single range.

## § initWithIndexSet:()

- (instancetype) initWithIndexSet: |  | (HFIndexSet *) | otherSet |

Initializes the receiver with the indexes in an NSIndexSet.

## § numberOfRanges()

- (NSUInteger) numberOfRanges |  |  |

Returns the number of ranges in the set.

## § rangeAtIndex:()

- (HFRange) rangeAtIndex: |  | (NSUInteger) | idx |

Returns the range at a given index.

## § countOfValuesInRange:()

- (unsigned long long) countOfValuesInRange: |  | (HFRange) | range |

Returns the number of values in a given range.

## § countOfValues()

- (unsigned long long) countOfValues |  |  |

Returns the number of values in the set.

## § verifyIntegrity()

- (void) verifyIntegrity |  |  |

## § rangeContainingValue:()

- (HFRange) rangeContainingValue: |  | (unsigned long long) | idx |

Returns the range containing the given value. If the index is not present in the set, returns {ULLONG_MAX, ULLONG_MAX}.

## § isEqualToNSIndexSet:()

- (BOOL) isEqualToNSIndexSet: |  | (NSIndexSet *) | indexSet |

Indicates whether the receiver contains exactly the same indexes as the given NSIndexSet.

The documentation for this class was generated from the following file:

- HFIndexSet.h